#
# spec file for package pcmcia (Version 3.1.31)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -linclude -xpm kernel-source libjpeg xdevel xf86 xforms xformsd
# usedforbuild    -linclude -xpm aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd kernel-source less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         pcmcia
%define kernel_version  %(cd /usr/src/linux; make include/linux/version.h &>/dev/null; uname -r)
%define kernel_version_  %(cd /usr/src/linux; make include/linux/version.h &>/dev/null; uname -r|tr - _)
%define main_version 3.1.31
%define wlan_version 0.1.13-pre1
Version:      3.1.31
Release:      213
Summary:      PCMCIA support for Linux (also needed for kernel 2.4)
License:      MOZILLA PUBLIC LICENSE (MPL/NPL), Other License(s), see package
Group:        Hardware/Other
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Provides:    
Requires:     sysconfig
#Conflicts:   
Autoreqprov:  on
Source:       pcmcia-cs-%{main_version}.tar.gz
Patch:        pcmcia-cs-%{main_version}.dif
# Additional card drivers
# ---------- ethernet & token ring ----------
Source10:     cs89x0_cs.tar.gz
Patch10:      cs89x0_cs.dif
Source11:     realtek_cb-1.08.tar.gz
Source12:     MTOK-2.31.tar.gz
# ---------- isdn ----------
Source20:     avm_cs.tar.gz
Source21:     elsa_cs.tar.gz
Patch21:      elsa_cs.dif
# Source22: mpsuni_cs.tar.gz     # has unresolved symbols. removed it because it
# Patch22: mpsuni_cs.dif         # never worked and there was no request for it.
Source23:     sedlbauer_cs.tar.gz
Patch23:      sedlbauer_cs.dif
Source24:     teles_cs2.0.3.tar.gz
Patch24:      teles_cs2.0.3.dif
# ---------- wireless lan ----------
Source30:     asplus_cs-1.0.3.tar.gz
Patch30:      asplus_cs-1.0.3.dif
Source31:     wavelan2_cs-6.06.tar.gz
Patch31:      wavelan2_cs-6.06.dif
Source32:     spectrum24_cs.tar.gz
Patch32:      spectrum24_cs.dif
Source33:     spectrum24t-1.00.tar.gz
Patch33:      spectrum24t-1.00.dif
# ---------- scsi ----------
Source40:     NinjaSCSI3-1.0.2.tar.gz
Patch40:      NinjaSCSI3-1.0.2.dif
Source41:     sym53c500_cs-0.4.tar.gz
Patch41:      sym53c500_cs-0.4.dif
# ---------- misc ----------
Source50:     iscc_cs-0.50.tar.gz
Patch50:      iscc_cs-0.50.dif
Source52:     ss5136dn_cs-0.3.tar.gz
Patch52:      ss5136dn_cs-0.3.dif
#
Source90:     linux-wlan-ng-%{wlan_version}.tar.gz
Patch90:      linux-wlan-ng-%{wlan_version}.dif
Source91:     kernel.config.tar.gz
Source92:     suse-files.tar.bz2
Patch92:      suse-files.dif
Patch99:      pcmcia-ppc.dif

%description
This package enables the usage of PCMCIA hardware with Linux.
The handling and configuration is described in the manual in chapter 11.
More detailed documentation can be found under
/usr/share/doc/packages/pcmcia/ and in some included manpages.
(See "rpm -ql pcmcia | grep man" after installation.)

Since kernel 2.4 there are two pcmcia systems: 'external' and 'kernel'. If you have troubles it can help to switch to the other system. See /usr/share/doc/packages/pcmcia/README.SuSE for details.

The program cardinfo is placed in the package pcmcia-cardinfo.

The PCMCIA modules strongly depend on the running kernel. Therefore the modules
are packed with the kernel in the packages k_*.rpm. If you compile your
own kernel you should recompile the pcmcia modules as well. For this install
the package km_pcmci from serie zkm and read its description.

Supported hardware:
Most modern PCMCIA chipsets and cards are supported. A list of
supported chipsets can be found in the PCMCIA-HOWTO under
/usr/share/doc/packages/pcmcia/.
In the same directory you can find a file SUPPORTED.CARDS.
We have integrated additional drivers in the PCMCIA package.
See the README.<driver> files for documentation. README.contrib
contains a short summary of these additional drivers.

Authors:
--------
    David Hinds <dhinds@pcmcia.sourceforge.edu>

SuSE series: a

%package -n km_pcmci
Summary:      PCMCIA kernel module sources
Group:        Development/Sources

%description -n km_pcmci
You need this package to recreate the pcmcia kernel modules after a new compilation of your kernel. Change directory to /usr/src/kernel-modules/pcmcia/ and call "make -f Makefile.module all/install"

SuSE series: zkm

%package modules
Version:      %{main_version}_%{kernel_version_}
Release:      0
Summary:      PCMCIA support for Linux
Group:        Hardware/Other

%description modules
This package contains pcmcia inclusive all pcmcia kernel modules, which
normally are in the kernel rpms. The modules herein are compiled without
APM- and PNP-Support.

Authors:
--------
    David Hinds <dhinds@pcmcia.sourceforge.edu>

SuSE series: suse

%package cardinfo
Version:      %{main_version}
Release:      0
Summary:      GUI for pcmcia card information and management
Group:        Hardware/Other

%description cardinfo
With cardinfo you get a graphical frontend to check the state of your pcmcia cards. Further you can trigger some actions as ejecting, inserting, suspending, etc. You have to run it as root!


Authors:
--------
    David Hinds <dhinds@pcmcia-cardinfo.sourceforge.edu>

SuSE series: a

%prep
%setup -n pcmcia-cs-%{main_version} 
%patch -p0
%setup -n pcmcia-cs-%{main_version} -T -D -a 20
# Elsa:
%setup -n pcmcia-cs-%{main_version} -T -D -a 21
%patch21 -p0
test -f etc/isdn.conf && rm etc/isdn.conf
# %setup -n pcmcia-cs-%{main_version} -T -D -a 22
# %patch22 -p0
%setup -n pcmcia-cs-%{main_version} -T -D -a 23
%patch23 -p0
# Teles:
%setup -n pcmcia-cs-%{main_version} -T -D -a 24
%patch24 -p0
test -f etc/teles && rm etc/teles
test -f etc/teles.opts && rm etc/teles.opts
# asplus
# %setup -n pcmcia-cs-%{main_version} -T -D -a 30
# %patch30 -p0
# ninja
# %setup -n pcmcia-cs-%{main_version} -T -D -a 40
# %patch40 -p0
%setup -n pcmcia-cs-%{main_version} -T -D -a 41
%patch41 -p0
# iscc
# %setup -n pcmcia-cs-%{main_version} -T -D -a 50
# %patch50 -p0
%setup -n pcmcia-cs-%{main_version} -T -D -a 52
%patch52 -p0
# The following driver do not build with 2.4 currently
if [ `uname -r | sed 's/^2\.\(.\)\..*$/\1/'` = 2 ] ; then
# cs89x0_cs:
%setup -n pcmcia-cs-%{main_version} -T -D -a 10
%patch10 -p0
test -f etc/cs89x0.opts && rm etc/cs89x0.opts
%setup -n pcmcia-cs-%{main_version} -T -D -a 11
%setup -n pcmcia-cs-%{main_version} -T -D -a 12
%ifarch i386
%setup -n pcmcia-cs-%{main_version} -T -D -a 31
%patch31 -p0
%endif
%setup -n pcmcia-cs-%{main_version} -T -D -a 32
%patch32 -p0
%setup -n pcmcia-cs-%{main_version} -T -D -a 33
%patch33 -p0
fi
#
%setup -n pcmcia-cs-%{main_version} -T -D -a 90
pwd
pushd linux-wlan-ng-%{wlan_version}
%patch90
popd
%setup -n pcmcia-cs-%{main_version} -T -D -a 91
%setup -n pcmcia-cs-%{main_version} -T -D -a 92
%patch92
%ifarch ppc
%patch99
%endif
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot}
rm -Rf %{buildroot}/usr/src/kernel-modules/pcmcia
mkdir -p %{buildroot}/usr/src/kernel-modules/pcmcia
cp -a . %{buildroot}/usr/src/kernel-modules/pcmcia/.
cp suse-files/Makefile.module %{buildroot}/usr/src/kernel-modules/pcmcia

%build
# Check if we a running in autobuild ...
if [ -f /bin/uname.sh ] ; then
  cp kernel.config/%{kernel_version}/.config /usr/src/linux/ || true
  yes "" | make -C /usr/src/linux oldconfig
  make -C /usr/src/linux dep
  ./Configure --noprompt --cardbus --suse --pcmciadir=pcmcia-external \
              --target=%{buildroot} --mandir=%{_mandir} \
              --kflags="-D'__builtin_expect(c,l)=(c)'"
else
  ./Configure --noprompt --cardbus --current \
              --modules --pcmciadir=pcmcia-external \
              --target=%{buildroot} --mandir=%{_mandir} \
              --kflags="-D'__builtin_expect(c,l)=(c)'"
fi
# touch .start-install
make all
%ifarch ppc
make -C cardmgr probe
%endif
export PCMCIA_SRC=`pwd`
export TARGET_ROOT_ON_HOST=%{buildroot}
eval export `grep MODDIR config.out`
(cd linux-wlan-ng-%{wlan_version}; ./Configure -d)
make -C linux-wlan-ng-%{wlan_version} all

%install
# rm -rf /lib/modules/%{kernel_version}/pcmcia
mkdir -p /var/lib
# mv -f etc/suse-isdn etc/isdn
# mv -f etc/suse-isdn.opts etc/isdn.opts
mv -f suse-files/isdn etc/isdn
mv -f suse-files/isdn.opts etc/isdn.opts
mv -f suse-files/rcpcmcia etc/rc.pcmcia
make install DOCDIR=%{_docdir}/pcmcia
# install cardmgr/probe %{buildroot}/usr/sbin/probe
mkdir -p %{buildroot}/var/adm/fillup-templates
# install -m 644 rc.config.pcmcia \
install -m 644 suse-files/sysconfig.* \
               %{buildroot}/var/adm/fillup-templates/
mkdir -p %{buildroot}/sbin/conf.d
install -m 644 suse-files/LIESMICH.SuSE %{buildroot}/%{_docdir}/pcmcia
install -m 644 suse-files/README.SuSE %{buildroot}/%{_docdir}/pcmcia
touch %{buildroot}/etc/pcmcia/config.add_kernel.opts
# test -f %{buildroot}/var/lib/pcmcia/stab &&
#                  rm -f %{buildroot}/var/lib/pcmcia/stab
# test -f %{buildroot}/var/lib/pcmcia/scheme &&
#                  rm -f %{buildroot}/var/lib/pcmcia/scheme
mkdir -p %{buildroot}/var/lib/pcmcia
make -C linux-wlan-ng-%{wlan_version} install
install -Dm 644 linux-wlan-ng-%{wlan_version}/CHANGES \
               %{buildroot}/%{_docdir}/pcmcia/wlan-ng/CHANGES
install -Dm 644 linux-wlan-ng-%{wlan_version}/README \
               %{buildroot}/%{_docdir}/pcmcia/wlan-ng/README
install -Dm 644 linux-wlan-ng-%{wlan_version}/doc/config.linux-wlan-ng \
               %{buildroot}/%{_docdir}/pcmcia/wlan-ng/Configuration
install -Dm 644 linux-wlan-ng-%{wlan_version}/doc/wire*/README.wire* \
               %{buildroot}/%{_docdir}/pcmcia/wlan-ng/wireless-extensions

%post
%{fillup_and_insserv -y pcmcia}

%postun
%{insserv_cleanup}
### %defattr
# %files -n pcmcia -f files.list

%files
%dir /etc/pcmcia
%config /etc/pcmcia/*
%dir /etc/wlan
%config /etc/wlan/*
/etc/init.d/pcm*
/sbin/*
/%{_docdir}/pcmcia
/%{_mandir}/man[458]/*
/usr/share/pnp.ids
/var/adm/fillup-templates/*
/var/lib/pcmcia

%files modules
/lib/modules/*/pcmcia*/*
/lib/modules/*/wlan-ng

%files -n km_pcmci
/usr/src/kernel-modules/pcmcia

%files cardinfo
/usr/X11R6/bin/cardinfo
/usr/X11R6/man/man1/cardinfo.1.gz

%changelog -n pcmcia
* Thu Jun 20 2002 - zoz@suse.de
- removed patch to determine HWADDR in /etc/pcmcia/network
  (upper/lower letters problem with ifconfig/ifup)
* Tue Jun 11 2002 - zoz@suse.de
- updated {LIESMICH,README}.SuSE
* Thu Jun 06 2002 - zoz@suse.de
- removed /etc/pcmcia/config.add_kernel, since we now use hotplug
  for CardBus and kernel PCMCIA
- added new card definition: manfid 0x014d, 0x0001 -> orinoco_cs
* Mon Apr 22 2002 - zoz@suse.de
- fixed typo in config.add.kernel:20 (8129too -> 8139too)
- added and changed adapter definitions for usage of orinoco_cs.o
  (there was orinoco_cs.conf in former version when this driver was
  not included in the base pcmcia package from D.Hinds. Now these
  adapter definitions were just missing.)
- removed adapter definitions from /etc/pcmcia/wlan-ng.conf which
  are already defined in /etc/pcmcia/config
* Thu Mar 14 2002 - kkeil@suse.de
- /etc/init.d/isdn need -o hotplug to setup hotplug devices
* Thu Mar 07 2002 - zoz@suse.de
- added rcisdn start/stop to /etc/pcmcia/isdn. This is needed for
  cards that need firmware, etc. and starting/stopping isdnlog
* Mon Mar 04 2002 - zoz@suse.de
- added hotplug to Required field
* Fri Mar 01 2002 - zoz@suse.de
- removed ports 0x810-0x815 from config.opts, because they hurt on
  some DELL machines (Bug 14213)
* Fri Mar 01 2002 - zoz@suse.de
- changed 'no bridge found' log message in rcpcmcia (bug 14179)
* Thu Feb 28 2002 - zoz@suse.de
- unfortunatly i removed ifport together with ifuser: adding ifport
  again
* Wed Feb 27 2002 - zoz@suse.de
- /etc/pcmcia/config.add_kernel: added card definition for
  Realtek Rtl8139 (pci 0x10ec, 0x8139) (Bug 11514)
* Wed Feb 27 2002 - zoz@suse.de
- /etc/pcmcia/network: use get_hwaddress() to determine MAC address
  (from /etc/sysconfig/network/scripts/functions) (Bug 12405)
- pcmcia.spec: added Requires: sysconfig
* Tue Feb 26 2002 - zoz@suse.de
- /etc/pcmcia/network: use ifstatus -o check when called with check
- removed /sbin/ifuser from package; it's now in sysconfig
* Mon Feb 25 2002 - zoz@suse.de
- set default pcmcia system to 'kernel' (CardBus cards will be
  handled from hotplug)
- determine right interfacetype for ifup call, since YaST2
  does it right, too
* Sat Feb 23 2002 - zoz@suse.de
- adapted /etc/pcmcia/isdn to the new sysconfig stuff
- /etc/pcmcia/network: changed text for modify_resolvconf
* Thu Feb 21 2002 - zoz@suse.de
- network: write 'dont_touch' to /var/run/hotplug/net-$DEVICE to
  avoid double starting of network
* Tue Feb 19 2002 - zoz@suse.de
- /etc/pcmcia/network: for ifup calls set always interfacetype=eth
* Mon Feb 18 2002 - zoz@suse.de
- /etc/pcmcia/network: fixed ifup calls
- /etc/pcmcia/network: changed interpreter to bash
* Fri Feb 15 2002 - ro@suse.de
- added current kernel config
- run oldconfig and dep for kernel in build environment
* Tue Feb 05 2002 - zoz@suse.de
- fixed module license for
  fmvj18x_cs.o
  sedl*_cs.o
  ss5136dn_cs.o
  sym53c500_cs.o
  teles_cs.o
- patched teles_cs.c to use slab.h and kfree()
- We now use sedlbauer_cs as default module for sedlbauer cards
  (was sedl_cs before)
- patched sedl*cs.c to use slab.h
- compile sedl*cs.o also for kernel pcmcia
- patched ss5136dn_cs.c to use slab.h and fixed one warning
* Fri Jan 25 2002 - zoz@suse.de
- added wlan-ng driver and tools. There are also drivers for pci
  and usb included. Perhaps we split them of this package later.
  There are scripts in /etc/wlan which are not adapted to SuSE.
  !!! This stuff is completely untested !!!
* Mon Jan 21 2002 - zoz@suse.de
- Applied the cardmgr.patch from 3.1.28 except one thing: cardmgr
  wont handle CardBus Cards with kernel PCMCIA anymore. This is the
  job of hotplug.
  (cardmgr can still handle two module directories for both
  external and kernel pcmcia)
- changed /etc/pcmcia/network{,.opts}:
  If USE_NEW_NETWORK_SETUP=yes, then we will use /sbin/if{up,down}
- removed SuSEconfig.pcmcia
- removed the setting of 'SuSE' as preselected scheme
* Mon Jan 14 2002 - zoz@suse.de
- removed orinoco.tar.gz, because it is now included in the
  pcmcia-cs package from David.
* Mon Jan 14 2002 - zoz@suse.de
- update to 3.1.31, except of cardmgr and /etc/pcmcia/network,
  which are identical to 3.1.28 (suse); this will be done
  seperately.
- Configure: md(): changed 'test -f' to 'test -d'
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed /sbin/init.d to /etc/init.d in init script comment
* Thu Dec 13 2001 - ro@suse.de
- removed START_PCMCIA, moved rc.config.d -> sysconfig
* Mon Sep 24 2001 - zoz@suse.de
- Made rcpcmcia more quite during cleanup. This is the best i can
  do for now (Bug 11247)
* Thu Sep 20 2001 - zoz@suse.de
- use module 3c59x instead of 3c90x, because they are the same
  file, but 3c59x is already present during %%build of k_*.rpm
- enhanced wording and grammar of README.SuSE
* Thu Sep 20 2001 - zoz@suse.de
- fixed unresolved symbol '__builtin_expect'.
  Added definition of __builtin_expect via Configure --kflags
- rcpcmcia: added syslog to Required-Start to make it more reticent
  during boot
- rcpcmcia: 'exit 6' and write errormesage to syslog, if neither
  correct module could be determined automatically nor PCMCIA_PCIC
  was set manually. (Bug 10876)
* Wed Sep 19 2001 - zoz@suse.de
- Changed permissions of /etc/pcmcia/wireless.opts to 600 and made
  sure that the key will not be logged. (Bug 9492)
* Tue Sep 18 2001 - zoz@suse.de
- Added README.SuSE
- Added variable DEVS to /etc/pcmcia/serial like in
  /etc/pcmcia/scsi to make it more consistent and fitting the docu
  in LIESMICH.SuSE resp. README.SuSE
- corrected some comments in scripts under /etc/pcmcia
* Fri Sep 14 2001 - zoz@suse.de
- changed Makefile.module to add more links to
  /lib/modules/<version>/pcmcia
- added device serial to a Xircom card in config.add_kernel
- enhanced start script:
  Only try to eject card in stop section if pcmcia was running
  remove /var/lib/pcmcia/detab in cleanup()
- removed old comments from scripts in /etc/pcmcia
- fixed "expr: syntax error" in /etc/pcmcia/serial
* Fri Sep 14 2001 - ro@suse.de
- ignore errors for already existing links in Makefile.module
* Tue Sep 11 2001 - zoz@suse.de
- completed /etc/pcmcia/config.add_kernel. It now contains all
  CardBus cards from /etc/pcmcia/config.
* Mon Sep 10 2001 - zoz@suse.de
- added improved versions of axnet_cs.c, ax8390.h and pcnet_cs from
  pcmcia-cs 3.1.29
- added generic entry for manfid 0x0149, 0xc1ab at the very
  beginning: use axnet_cs as default, if not redefined by any
  matching version string.
- removed forgotten "set -x" from /etc/pcmcia/shared
* Sun Sep 09 2001 - zoz@suse.de
- fixed unresolved symbols in  ohci1394_stub.c and pcilynx_stub.c:
  eliminated calls to get_ohci_template() resp. get_lynx_template()
  which were declared but nowhere defined.
* Fri Sep 07 2001 - zoz@suse.de
- fixed configuration scripts again (network, serial, scsi, shared)
  They failed when using an 2nd card simultaneously and scsi did not
  work properly at all..
- added cards to config and config.add_kernel
* Tue Sep 04 2001 - zoz@suse.de
- rcpcmcia: PCMCIA_PCIC_OPTS will be ignored with yenta_socket
- /etc/pcmcia/config{,.add_kernel}: added some cards and cleaned up
* Mon Sep 03 2001 - zoz@suse.de
- always compile lspnp and setpnp (Bug 9258), without setting
  CONFIG_PNP_BIOS=y, what would cause to much problems.
* Mon Sep 03 2001 - zoz@suse.de
- removed old comments from /etc/pcmcia/network
- fixed /etc/pcmcia/config.add-kernel (was completly messed)
- added empty /etc/pcmcia/config.add_kernel.opts
* Sun Sep 02 2001 - zoz@suse.de
- Makefile.module now links some additional modules to
  /lib/modules/<version>/pcmcia (orinoco*, hermes, 3c90x)
- rcpcmcia: changed determination of pcmcia bridge (bug 9919)
- rcpcmcia: action stop did exit with error, when any card was
  still used. Now it will eject the cards via cardctl first. The
  service won't be stopped if that is not possible.
- rewrite determination of the iface name in /etc/pcmcia/network,
  because there were to much trouble with the old approach. This
  caused some little changes in /etc/pcmcia/shared.
- added more cards to config.add-kernel (still some are missing)
- make version.h in %%{kernel-version} since we have a reasonable
  default .config now
* Thu Aug 23 2001 - zoz@suse.de
- removed option "eth=0" for wvlan_cs, so the interface name will
  not longer be wvlanX but ethX (as it is for orinoco_cs)
- fixed startscript:
  + it now sources /etc/rc.congig.d/pcmcia.rc.config
  + added -v to the "modprobe -n" calls
- added card "RFI Elektronik GmbH, AnyCom ECO ISDN" to
  sedlbauer.conf
- disabled debugging again (see entry from Tue Jul 24)
- added .config of 2.4.7 to kernel.config.tar.gz
* Tue Aug 21 2001 - zoz@suse.de
- moved rc.config variables to /etc/rc.config.d/pcmcia.rc.config
- added card "ARtem, Onair" to config and orinoco.conf
* Tue Aug 21 2001 - zoz@suse.de
- update to 3.1.28
- added LIESMICH.SuSE
* Mon Aug 20 2001 - ro@suse.de
- fixed to compile pcilynx (needed include linux/interrupt.h)
- fixed to compile wvlan   (uses old style min/max macros)
* Wed Aug 15 2001 - zoz@suse.de
- fixed rcpcmcia-link
- fixed description of PCMCIA_SYSTEM
* Mon Aug 06 2001 - zoz@suse.de
- ignore existence of hotplug and initialize a cardbus card always
  even if kernel pcmcia is in use:
  + patched cardmgr to load modules that were loadable by hotplug
  + added hack to /etc/pcmcia/network to get the interface name
  from /proc/net/dev and add it to /var/lib/pcmcia/stab in this
  case
- changed section check in /etc/pcmcia/network, because ifuser can
  not handle IPv6 addresses and it tells you localhost were routed
  via ethX if there is no entry for localhost in the routing table
- added option -k to cardmgr. If started for kernel pcmcia with -k
  config.add_kernel will be read additionally and as last config
  file. So every driver assignment can be overwritten there to fit
  the needs of kernel pcmcia.
* Wed Jul 25 2001 - zoz@suse.de
- fixed ./Configure --suse to build with 2.2.19
- changed pcmcia-dhinds to pcmcia-external
* Tue Jul 24 2001 - zoz@suse.de
- enabled debugging temporarily
- added variable PCMCIA_DEBUG
- make axnet_cs compile with debbuging enabled
- deactivated orinoco_cs temporarily
- added #include <linux/interrupt.h> to ohci1394_stub.c to make it
  compile with 2.4.7
- changed net device name for wvlan_cs from ethX to wvlanX
* Fri Jul 20 2001 - zoz@suse.de
- added driver orinoco_cs
* Thu Jul 19 2001 - zoz@suse.de
- added setting of CONFIG_ALL_PPC to ./Configure
* Tue Jul 17 2001 - zoz@suse.de
- fixed axnet_cs SMP compile bug
  (patch from pcmcia-cs.12-Jul-01.tar.gz)
- changed ibmtr_cs again:
  use TR_OLD=1 for kernel <= 2.2.17 or 2.4.0 <= kernel <= 2.4.6
* Fri Jul 13 2001 - zoz@suse.de
- update to 3.1.27
- determinig TR_OLD again in ibmtr_cs.c instaed in k_compat.h
- added config entry for Lantech "ASIX AX88190"
* Thu Jul 12 2001 - zoz@suse.de
- fixed --rebuild: buildroot was not set for this case
- using --suse for ./Configure like in former times
- improved init script for selective use of kernel or dhinds pcmcia
  without the need of booting another kernel
- for this selective use the modules are now located in subdir
  pcmcia-dhinds instead of just pcmcia (./Configure --pcmciadir=)
  and they will also be build if kernel pcmcia is active
  (./Configure --modules)
- Makefile.module for km_pcmcia now uses these two options
- patched cardmgr to choose modules from matching pcmcia system
  added option -n <modsubdir>
- init script detects which pcmcia system is available. If both are
  available it can be choosen with rcpcmcia (re)start <system> or
  with a new rc.config variable PCMCIA_SYSTEM (= dhinds or kernel)
- former rc.config variable PCMCIA is now called PCMCIA_PCIC. It
  should be used only in problematic cases and does not longer
  prevent the starting of pcmcia if empty.
- changed k_compat.h to define TR_OLD correctly (if < 2.4.6)
* Wed Jun 27 2001 - zoz@suse.de
- update to 3.1.26
- changed include to include_next in include/linux/ibmtr.h
* Tue May 08 2001 - zoz@suse.de
- improved SuSEconfig.pcmcias resolv.conf handling (Bug 7578)
- network now creates one resolv.conf backup per NIC (same problem
  as in Bug 7686)
- rcpcmcia stop now only tries to kill cardinfo if installed
* Mon Apr 30 2001 - zoz@suse.de
- fixed filelist of subpackage pcmcia-modules
- fixed SuSEconfig.pcmcia (created an empty network.opts)
* Mon Apr 30 2001 - zoz@suse.de
- fixed filelist
- fixed comment for resolv.conf in /etc/pcmcia/network
- Building won't fail anymore if there is no matching kernelconfig
  included The .config is only needed for the -modules subpackage
  which does not go to the distribution.
* Sun Apr 29 2001 - zoz@suse.de
- splitting of cardinfo to seperate package pcmcia-cardinfo
- fixed rcpcmcia to comply LSB completely
* Tue Apr 24 2001 - ro@suse.de
- fix rwsem problem with new kernel-source in Configure
* Tue Apr 24 2001 - zoz@suse.de
- fixed /etc/init.d/pcmcia (bug 7025)
- fixed call to dhclient start in /etc/pcmcia/network
* Tue Apr 17 2001 - kukuk@suse.de
- Don't define Version number as macro
* Thu Apr 12 2001 - zoz@suse.de
- rcpcmcia now determines the chipset itself, so we can omit the
  variable PCMCIA in rc.config
- for this reason we don't need to set PCMCIA in %%post (bug 6948)
* Mon Apr 09 2001 - zoz@suse.de
- really added .config for 2.4.3 this time
- added .config for 2.2.19
- changed /etc/pcmcia/network: now uses
  > modify_resolvconf
  > rcdhclient
  instead of doing these jobs itself
- fixed SuSEconfig.pcmcia: now temp file will always be deleted
* Thu Apr 05 2001 - zoz@suse.de
- use kernel_source for now
- added .config for 2.4.3
* Thu Apr 05 2001 - zoz@suse.de
- removed nin_cs temporarily
* Thu Mar 22 2001 - zoz@suse.de
- update to 3.1.25
- use buildroot, no more find, removed Check in specfile
- made search for aic7xxx more flexible
- bugfix in /etc/pcmcia/network
* Wed Mar 14 2001 - ro@suse.de
- use lx_sus24 for now
* Tue Mar 13 2001 - ro@suse.de
- use aic7xxx_old for apa1480
* Tue Mar 13 2001 - ro@suse.de
- hack specfile to build --- find is a bad idea here
* Thu Feb 22 2001 - ro@suse.de
- fix problem with aic7xxx.h (moved in current 2.2)
* Fri Feb 09 2001 - ro@suse.de
- include time.h in cardmgr.c to compile
* Fri Jan 19 2001 - zoz@suse.de
- changed comment in /etc/pcmcia/network.opts (bug 5842)
* Mon Jan 15 2001 - zoz@suse.de
- changed bad udelay to mdelay in NinjaSCSI3-1.0.2 (bug 5029)
* Sun Jan 14 2001 - kkeil@suse.de
- fix AVM B1/Fritz PCMCIA problem (Bug #5075)
* Fri Jan 12 2001 - zoz@suse.de
- added format character to parameter isdnprot in avma1_cs.c
* Fri Jan 12 2001 - zoz@suse.de
- fixed unresolved symbols in isdn modules (kfree_s -> kfree)
- cleaned up SuSEconfig.pcmcia
* Thu Jan 11 2001 - zoz@suse.de
- removed set -x from SuSEconfig.pcmcia ;)
* Wed Jan 10 2001 - zoz@suse.de
- fixed syntax error in SuSEconfig.pcmcia that occured if run when
  pcmcia was down. (bug 5158)
- fixed Configure to respect SMPVERSION and GBVERSION in
  KERNELRELEASE and UTS_RELEASE. (bug 2855 and 5401)
* Sat Jan 06 2001 - zoz@suse.de
- fixed typo in SuSEconfig.pcmcia
- fixed path to init-scripts in /etc/pcmcia/isdn
- update wavelan2_cs to 6.06 (bug 4900)
- adopted scripts in /etc/pcmcia/ for usage of wireless-tools
  (bug 4900)
- adopted SuSEconfig.pcmcia to handle devicenames "wvlan" and to
  be aware of a local nameserver (bug 4900)
* Fri Jan 05 2001 - uli@suse.de
- there've been absolute paths in %%post and %%postun, changed
  to relative
* Mon Dec 18 2000 - olh@suse.de
- adb.h and pmu.h is either in linux or adb
* Fri Dec 15 2000 - ro@suse.de
- work around problems with rpms version macro
* Fri Dec 15 2000 - ro@suse.de
- fix module-package version
* Thu Dec 14 2000 - ro@suse.de
- renamed subpackage pcmcia-modules-XYZ to pcmcia-modules
  and set appropriate subpackage Version
* Thu Dec 14 2000 - zoz@suse.de
- SuSEconfig.pcmcia now uses /etc/resolv.conf to get nameserver, if
  there is no $NAMESERVER in rc.config. Same with searchpath.
- /etc/pcmcia/network now calls nscd -i hosts instead of restarting
* Fri Dec 01 2000 - zoz@suse.de
- fixed generation of filelist
* Thu Nov 30 2000 - zoz@suse.de
- changed some header in i82365.c for PPC
* Thu Nov 30 2000 - zoz@suse.de
- update to 3.1.22
- with this version patch for ibmtr_cs is obsolete
- changed /etc/pcmcia/network: Don't wait for DNS queries when
  stopping the service
- removed SYM53C500.o from filelist
- update to asplus_cs-1.0.3 and created asplus.conf
- update to sym53c500_cs-0.4
- update to wavelan2_cs-6.01BETA
- added spectrum24t-1.00
- created wvlan2.conf
- created missing teles.conf and removed teles an teles.opts
  teles uses now sript isdn
- created cs89x0.conf
- added INIT INFO to rcpcmcia and moved it to /etc/pcmcia
- removed START/STOP-links, added insserv
* Mon Nov 06 2000 - ro@suse.de
- fixed ibmtr to compile on 2.2.18pre19 and newer (ibmtr updated)
* Mon Oct 23 2000 - ro@suse.de
- fixed k_compat.h for 2.2.17 (18pre)
* Thu Sep 28 2000 - grimmer@suse.de
- changed chipset detection message in spec file from
  "can't find any :(" to "No supported PCMCIA chipset found." to
  avoid customer confusion
* Mon Sep 25 2000 - ro@suse.de
- added libjpeg to neededforbuild
* Mon Aug 21 2000 - zoz@suse.de
- update to 3.1.19
- update NinjaSCSI to 1.0.2
- added realtek driver
- added mtok driver
- removed mpsuni ISDN driver, because it never worked (unresolved
  symbols) and there was never a request for it.
* Tue Jul 04 2000 - zoz@suse.de
- add an ifconfig before dhclient call
* Tue Jun 27 2000 - zoz@suse.de
- update to 3.1.17
* Tue Jun 13 2000 - zoz@suse.de
- update to 3.1.16
- modified SuSEconfig.pcmcia to work with the schemes package
- fixed ppc-bug in i82365
- changed etc/install-etc to install rc.pcmcia in every case
* Fri Jun 09 2000 - uli@suse.de
- for some reason "make all" doesn't build probe on PPC; added
  "make probe" for PPC
* Thu Jun 08 2000 - zoz@suse.de
- made /etc/pcmcia/isdn executable again
* Wed May 31 2000 - kkeil@suse.de
- new teles_cs driver with automatic parameter exchange for 2.2.15SuSE
* Thu May 11 2000 - zoz@suse.de
- update to 3.1.15
- make it build with 2.3.99 (excluding wavelan_2)
- moved /var/state/pcmcia -> /var/lib/pcmcia
- moved /usr/doc/packages/pcmcia -> %%{_docdir}/pcmcia
- moved /usr/share/man -> %%{_mandir}
- changed SuSEconfig.pcmcia to work with our schemes-package
- made /etc/pcmcia/isdn executable again
- left /etc/pcmcia/teles untouched (temporarily)
* Fri May 05 2000 - bs@suse.de
- Do not include files with /usr/X11/.. path.
* Wed Apr 19 2000 - zoz@suse.de
- update to 3.1.14
- reorganized treatment and patches for additional drivers
- added dynamic filelist creation
- added subpackages that contains pcmcia-tool and pcmcia-modules
  pcmcia_m for easier update
* Thu Mar 16 2000 - zoz@suse.de
- update to 3.1.13
* Mon Mar 13 2000 - bk@suse.de
- fixed GATEWAY extract for network.opts, selecting first syntactic gateway
* Thu Mar 09 2000 - ro@suse.de
- removed k_deflt from neededforbuild
* Wed Mar 08 2000 - zoz@suse.de
- changed Bootparameter NO_PCMCIA to NOPCMCIA to fit the manual
* Wed Mar 08 2000 - zoz@suse.de
- removed do_pnp=0 as default option in PCMCIA_CORE_OPTS
* Mon Mar 06 2000 - ro@suse.de
- added subpackage with kernel-module sources
- removed --pnp option
- removed modules from filelist
* Thu Mar 02 2000 - zoz@suse.de
- START_PCMCIA="yes" is default again
- rcpcmcia now uses modprobe respecting options in modules.conf.
  Options in rc.config still have higher priority.
* Wed Mar 01 2000 - zoz@suse.de
- fixed dhcp nameserver problem
* Sun Feb 27 2000 - ro@suse.de
- fix so Confugure --suse works again
- add CONFIG_PARPORT*
* Sun Feb 27 2000 - zoz@suse.de
- update to 3.1.11
* Fri Feb 25 2000 - zoz@suse.de
- added old sedl_cs module again, because sedlbauer_cs seems to
  make some trouble. Has still to be checked.
- added new entry for newer elsa isdn cards to /etc/pcmcia/config
- removed %%preun temporarily
* Thu Feb 10 2000 - ro@suse.de
- removed reference to kernmod : package has been eliminated
* Thu Feb 10 2000 - zoz@suse.de
- fixed syntax error in /etc/pcmcia/network
* Wed Feb 09 2000 - ro@suse.de
- fixed to build on alpha
* Wed Feb 09 2000 - uli@suse.de
- added more PPC-specific patches (mostly config.opts and i82365.c)
- for the first time, it actually worked on a PowerBook G3!
* Wed Feb 09 2000 - zoz@suse.de
- fixed config error in /etc/pcmcia/config
* Tue Feb 08 2000 - zoz@suse.de
- update to 3.1.10
- update NinjaSCSI3 to 0.3
- applied cadrctl patch from thomas biege
* Tue Feb 08 2000 - uli@suse.de
- probe.c: includes asm/io.h instead of sys/io.h on PPC
- disabled iscc module for PPC
* Fri Feb 04 2000 - zoz@suse.de
- fixed buglet in SuSEconfig.pcmcia
- /etc/pcmcia/isdn now adds default route directly (w/o rcroute)
* Thu Jan 27 2000 - ro@suse.de
- fixed iscc-driver for suse-kernel (i2c-old for i2c)
- commented asplus driver in filelist
  (fix will take longer , will not compile on 2.2.14)
* Thu Jan 27 2000 - zoz@suse.de
- added /sbin/conf.d/SuSEconfig.pcmcia
- made "SuSE" the default scheme
- rc-config-variables will be removed in %%preun
- rpm --recompile now uses the running kernel for configuration
- Bootparameter to avoid starting of PCMCIA now is "NO_PCMCIA"
* Thu Jan 20 2000 - zoz@suse.de
- update to 3.1.8
- update sym53c500_cs to 0.3
- removed tulip-old_cb (tulip_cb from pcmcia-cs-3.1.1)
- removed Makefile.Linux
- fixed scheme problem (SCHEME=xxx at the bootprompt did not work)
- added path to checkproc in /etc/pcmcia/network
* Fri Dec 17 1999 - zoz@suse.de
- update to 3.1.7
- update of several additional modules
- added new additional modules
- removed ulis spinlock-patches temprarily, to give the improved
  code a chance; will be included again if necessary
- includes the unmodified network-script (no nscd restart)
  # some changes will follow, just checking in in between
* Tue Dec 07 1999 - ro@suse.de
- fixed Configure for alpha-GENERIC
- additional-drivers.dif: fixed CFLAGS to include AFLAGS for alpha
- fixed file list
* Tue Dec 07 1999 - uli@suse.de
- made cs.c, rsrc_mgr.c honor USE_SPIN_LOCKS flag
- removed ISA stuff from probe.c for PPC
* Tue Nov 09 1999 - zoz@suse.de
- fixed spec-file: tulip-old_cs was not there
* Wed Nov 03 1999 - zoz@suse.de
- added  tulip_cb from 3.1.1 as tulip-old_cb
* Tue Nov 02 1999 - zoz@suse.de
- Fixed path for "stab" in cardinfo.c
* Sun Oct 31 1999 - kukuk@suse.de
- Create /var/state before building
* Sat Oct 30 1999 - zoz@suse.de
- changed location of 'stab' and 'pcmcia-scheme' in rcpcmcia
- added Bootparameter START_PCMCIA to omit pcmcia in case of trouble
* Thu Oct 28 1999 - zoz@suse.de
- update to 3.1.3
* Sun Oct 17 1999 - ro@suse.de
- fixed neededforbuild
* Wed Oct 13 1999 - zoz@suse.de
- update to 3.1.1
- use tulip.c again (compiles locally)
* Mon Oct 11 1999 - ro@suse.de
- use tulip-old.c from kernel (won't compile with tulip.c)
* Mon Oct 11 1999 - ro@suse.de
- added gccfront to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - ro@suse.de
- set kernel_version to 2.2.12
* Wed Jul 21 1999 - garloff@suse.de
- Added bigmem.dif to work with CONFIG_1GB option
* Fri Jul 16 1999 - ro@suse.de
- modified to contain own modules
* Thu Jul 08 1999 - zoz@suse.de
- update cs89x0 driver to 0.7
- restart of nscd in /etc/pcmcia/network
* Tue Jun 29 1999 - zoz@suse.de
- update to 3.0.13
- added kernmod to needforbuild and use config.modules for .config
* Fri Jun 25 1999 - zoz@suse.de
- changed /etc/pcmcia/network for working with dhclient
- fix rc script: reload sends SIGHUP to cardmgr
* Thu Jun 17 1999 - ro@suse.de
- fix rc script: echo -e for $rc_done
* Fri Jun 11 1999 - ro@suse.de
- update to pcmcia-cs-3.0.12
* Mon Jun 07 1999 - ro@suse.de
- auto-answer "n" to open questions in "make oldconfig"
* Fri May 28 1999 - zoz@suse.de
- update to 3.0.10
- added avm drivers
- added START_PCMCIA=yes/no in rc.config (default=yes)
* Tue Apr 06 1999 - ro@suse.de
- create default entry for PCMCIA="" in rc.config (in %%post)
* Wed Mar 17 1999 - ro@suse.de
- removed etc/isdn before installing new one with patch
* Wed Mar 03 1999 - zoz@suse.de
- update to 3.0.9
- update of additional drivers: cs89x0_cs, teles_cs
- added line in rc.pcmcia evaluating SCHEME
- tulip_cb is now autogenerated from kernelsources
* Wed Feb 24 1999 - ro@suse.de
- added xformsd to neededforbuild
* Mon Jan 18 1999 - bs@suse.de
- fixed version in spec file.
* Tue Jan 12 1999 - ro@suse.de
- update to 3.0.7
* Thu Dec 10 1998 - ro@suse.de
- added tulip_cb
- added sedlbauer-cards to pcmcia/config
* Tue Nov 24 1998 - ro@suse.de
- update to 3.0.6
* Thu Nov 12 1998 - ro@suse.de
- use gcc to build
* Fri Jul 24 1998 - mantel@suse.de
- changed config defaults.
* Thu Jul 23 1998 - bs@suse.de
- new version pcmcia-cs-3.0.4
* Sun Jul 12 1998 - bs@suse.de
- patched Configure to use kernel sources for default
- use Configure to fit kernel version
- patched qlogic_cs.c and fdomain_cs.c to fit for new driver versions in
  2.0.35
- created new patch for aic7xxx.c
* Tue Jun 16 1998 - mantel@suse.de
- update to kernel 2.0.34
* Sun Mar 08 1998 - mantel@suse.de
- new version 3.0.0
* Tue Feb 17 1998 - ro@suse.de
- minor change in cardinfo.c for new libforms
* Thu Dec 11 1997 - mantel@suse.de
- new version 2.9.12
* Fri Nov 07 1997 - mantel@suse.de
- new version 2.9.11
* Thu Oct 02 1997 - bb@suse.de
- builds now with rpm
- no call of ./Configure. All files which are createt by Configure are
  put in the diff-file.
* Thu Aug 07 1997 - mantel@suse.de
- update to 2.9.7
* Sun Jun 08 1997 - mantel@suse.de
- update to 2.9.6
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
